
//############################################################################
//
// File Name	: 'main.h'
// Title		: HAL815 - programmierbarer linearer Magnetfeldsensor 
//                         
// Author		: Zoltan Gradwohl
// Created		: 03/10/2008
// Revised		: 03/10/2008
// Version		: 1.0
// Target MCU	: Atmel AVR series
// Editor Tabs	: 4
//
//
//
//
//#############################################################################

#ifndef MAIN_H
#define MAIN_H

#include "global.h"


// Prototypes
void run_programm(void);		
uint8_t get_num(uint16_t max_range, uint16_t *num);
uint8_t get_int_num(int16_t min_range, int16_t max_range, int16_t *num);
uint8_t get_str(uint16_t max_range, int8_t chars[30], uint8_t *name_length);
void print_welcome_msg(void);




#endif






